/* clmail.h --Headers for clmail
   Copyright 1994 by Dean Troyer

   See clmail.cpp for complete copyright information
*/

#ifndef _CLMAIL_H
#define _CLMAIL_H

#ifdef WIN32    
#include <windows.h>    
#endif  /* WIN32 */

/* generic socket DLL support */
#include "gensock.h"

// Registry stuff

#define REG_PROG_KEY    "SOFTWARE\\Local\\" PROGNAME
#define REG_SMTP_SERVER "SMTP Server"
#define REG_SENDER      "Sender"

// Header stuff

#define HED_X_MAILER    "X-Mailer: " PROGNAME " [ver " VERSION "]\r\n"

// Other misc stuff

#define MAXOUTLINE      255
#define SERVER_SIZE     128     // #defines (bleah!) from Beverly Brown "beverly@datacube.com"
#define SENDER_SIZE     128

#define MAX_MAP_FILE_SIZE 60000  // size of file mapping for temp file

#endif  // !_CLMAIL_H

